rpmvf.h File Reference
(un)Installing packages: » Verify API.

Verify a package. More...

`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmutil.h>`
Include dependency graph for rpmvf.h:

Go to the source code of this file.

## Macros

#define | RPMVERIFY_ALL ~(RPMVERIFY_NONE)
#define | RPMVERIFY_FAILURES (RPMVERIFY_LSTATFAIL|RPMVERIFY_READFAIL|RPMVERIFY_READLINKFAIL|RPMVERIFY_LGETFILECONFAIL)
#define | VERIFY_ATTRS
#define | VERIFY_ALL

## Typedefs

typedef rpmFlags | rpmVerifyAttrs
typedef rpmFlags | rpmVerifyFlags

## Enumerations

enum

rpmVerifyAttrs_e {
RPMVERIFY_NONE = 0, RPMVERIFY_MD5 = (1 << 0), RPMVERIFY_FILEDIGEST = (1 << 0), RPMVERIFY_FILESIZE = (1 << 1),
RPMVERIFY_LINKTO = (1 << 2), RPMVERIFY_USER = (1 << 3), RPMVERIFY_GROUP = (1 << 4), RPMVERIFY_MTIME = (1 << 5),
RPMVERIFY_MODE = (1 << 6), RPMVERIFY_RDEV = (1 << 7), RPMVERIFY_CAPS = (1 << 8), RPMVERIFY_CONTEXTS = (1 << 15),
RPMVERIFY_READLINKFAIL = (1 << 28), RPMVERIFY_READFAIL = (1 << 29), RPMVERIFY_LSTATFAIL = (1 << 30), RPMVERIFY_LGETFILECONFAIL = (1 << 31)
}

| Bit(s) for rpmVerifyFile() attributes and result. More...

enum

rpmVerifyFlags_e {
VERIFY_DEFAULT = 0, VERIFY_MD5 = (1 << 0), VERIFY_FILEDIGEST = (1 << 0), VERIFY_SIZE = (1 << 1),
VERIFY_LINKTO = (1 << 2), VERIFY_USER = (1 << 3), VERIFY_GROUP = (1 << 4), VERIFY_MTIME = (1 << 5),
VERIFY_MODE = (1 << 6), VERIFY_RDEV = (1 << 7), VERIFY_CAPS = (1 << 8), VERIFY_CONTEXTS = (1 << 15),
VERIFY_FILES = (1 << 16), VERIFY_DEPS = (1 << 17), VERIFY_SCRIPT = (1 << 18), VERIFY_DIGEST = (1 << 19),
VERIFY_SIGNATURE = (1 << 20), VERIFY_PATCHES = (1 << 21), VERIFY_HDRCHK = (1 << 22), VERIFY_FOR_LIST = (1 << 23),
VERIFY_FOR_STATE = (1 << 24), VERIFY_FOR_DOCS = (1 << 25), VERIFY_FOR_CONFIG = (1 << 26), VERIFY_FOR_DUMPFILES = (1 << 27)
}

| Bit(s) to control rpmVerify() operation. More...

## Functions

RPM_GNUC_DEPRECATED int | rpmVerifyFile (const rpmts ts, rpmfi fi, rpmVerifyAttrs *res, rpmVerifyAttrs omitMask)
| Verify file attributes (including digest). More...

## Detailed Description

Verify a package.

The constants that enable/disable some sanity checks (mainly used at post (un)install)

Definition in file rpmvf.h.

## Macro Definition Documentation

## RPMVERIFY_ALL

#define RPMVERIFY_ALL ~(RPMVERIFY_NONE)

Definition at line 43 of file rpmvf.h.

## RPMVERIFY_FAILURES

#define RPMVERIFY_FAILURES (RPMVERIFY_LSTATFAIL|RPMVERIFY_READFAIL|RPMVERIFY_READLINKFAIL|RPMVERIFY_LGETFILECONFAIL)

Definition at line 44 of file rpmvf.h.

## VERIFY_ALL

#define VERIFY_ALL

Value:
( VERIFY_ATTRS | VERIFY_FILES | VERIFY_DEPS | VERIFY_SCRIPT | VERIFY_DIGEST |\
VERIFY_SIGNATURE | VERIFY_HDRCHK )
VERIFY_DEPS
Definition: rpmvf.h:65
VERIFY_FILES
Definition: rpmvf.h:64
VERIFY_SCRIPT
Definition: rpmvf.h:66
VERIFY_HDRCHK
Definition: rpmvf.h:70
VERIFY_DIGEST
Definition: rpmvf.h:67
VERIFY_ATTRS
#define VERIFY_ATTRS
Definition: rpmvf.h:81

Definition at line 84 of file rpmvf.h.

## VERIFY_ATTRS

#define VERIFY_ATTRS

Value:
( VERIFY_FILEDIGEST | VERIFY_SIZE | VERIFY_LINKTO | VERIFY_USER | VERIFY_GROUP | \
VERIFY_MTIME | VERIFY_MODE | VERIFY_RDEV | VERIFY_CONTEXTS | VERIFY_CAPS )
VERIFY_CONTEXTS
Definition: rpmvf.h:63
VERIFY_GROUP
Definition: rpmvf.h:57
VERIFY_RDEV
Definition: rpmvf.h:60
VERIFY_LINKTO
Definition: rpmvf.h:55
VERIFY_MODE
Definition: rpmvf.h:59
VERIFY_SIZE
Definition: rpmvf.h:54
VERIFY_USER
Definition: rpmvf.h:56
VERIFY_CAPS
Definition: rpmvf.h:61
VERIFY_FILEDIGEST
Definition: rpmvf.h:53

Definition at line 81 of file rpmvf.h.

## Typedef Documentation

## rpmVerifyAttrs

typedef rpmFlags rpmVerifyAttrs

Definition at line 41 of file rpmvf.h.

## rpmVerifyFlags

typedef rpmFlags rpmVerifyFlags

Definition at line 79 of file rpmvf.h.